import { __require as o } from "./json.mjs";
var e, t;
function d() {
  if (t)
    return e;
  t = 1;
  var u = o();
  e = r, r.displayName = "json5", r.aliases = [];
  function r(n) {
    n.register(u), function(a) {
      var s = /("|')(?:\\(?:\r\n?|\n|.)|(?!\1)[^\\\r\n])*\1/;
      a.languages.json5 = a.languages.extend("json", {
        property: [{
          pattern: RegExp(s.source + "(?=\\s*:)"),
          greedy: !0
        }, {
          pattern: /(?!\s)[_$a-zA-Z\xA0-\uFFFF](?:(?!\s)[$\w\xA0-\uFFFF])*(?=\s*:)/,
          alias: "unquoted"
        }],
        string: {
          pattern: s,
          greedy: !0
        },
        number: /[+-]?\b(?:NaN|Infinity|0x[a-fA-F\d]+)\b|[+-]?(?:\b\d+(?:\.\d*)?|\B\.\d+)(?:[eE][+-]?\d+\b)?/
      });
    }(n);
  }
  return e;
}
export {
  d as __require
};
